# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Clone.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Dump.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(Module/Build.pm) perl(POE/Filter/Line.pm) perl(Test/More.pm) perl(URI/Escape.pm) perl(YAML.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name POE-Filter-Slim-CLI
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: A POE filter for talking with SlimServer over CLI
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AG/AGRUNDMA/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
POE::Filter::Slim::CLI handles all the details of SlimServer's CLI protocol.
It unescapes and returns results as an arrayref.  Requests sent as arrayrefs
are translated into the correct escaped format.

It is a subclass of the POE::Filter::Line manpage.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/P*

%changelog
* Wed Sep 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

